import type { Observable } from 'rxjs';
import type { AccountIndexes, DeriveApi } from '../types.js';
/**
 * @name indexes
 * @returns Returns all the indexes on the system.
 * @description This is an unwieldly query since it loops through
 * all of the enumsets and returns all of the values found. This could be up to 32k depending
 * on the number of active accounts in the system.
 * @example
 * ```javascript
 * api.derive.accounts.indexes((indexes) => {
 *   console.log('All existing AccountIndexes', indexes);
 * });
 * ```
 */
export declare function indexes(instanceId: string, api: DeriveApi): () => Observable<AccountIndexes>;
