import type { u32 } from '@polkadot/types';
import type { AccountId, Balance, BlockNumber, SetIndex, VoteIndex } from '@polkadot/types/interfaces';
export interface DeriveElectionsInfo {
    candidates: AccountId[];
    candidateCount: u32;
    candidacyBond?: Balance;
    desiredRunnersUp?: u32;
    desiredSeats?: u32;
    members: [AccountId, Balance][];
    nextVoterSet?: SetIndex;
    runnersUp: [AccountId, Balance][];
    termDuration?: BlockNumber;
    voteCount?: VoteIndex;
    voterCount?: SetIndex;
    votingBond?: Balance;
    votingBondBase?: Balance;
    votingBondFactor?: Balance;
}
